# EZ_DisplayWidget

##

##

##

##

##

    NAME
           EZ_DisplayWidget - display a widget

    SYNOPSIS
           #include <EZ.h>

           void EZ_DisplayWidget( EZ_Widget *widget)
           void EZ_DisplayWidgetUnderPointer( EZ_Widget *widget, int xoff, int yoff)

    ARGUMENTS
           widget  Specifies an EZ widget.

           xoff, yoff Specifies an offset.

    DESCRIPTION
           EZ_DisplayWidget  makes  a widget visible. It computes the
           geometry of a widget, creates a window for widget and maps
           it.   If  widget has any children widgets, it display them
           recursively.

           If EZ_DisplayWidget is called on an internal widget  whose
           parent  is  not  yet  displayed, it will display the whole
           widget tree.

           EZ_DisplayWidgetUnderPointer behaves similarly, except  it
           moves the location of the widget window to the location of
           the current mouse pointer.  The offset is used to set  the
           widow location relative to the mouse pointer. It is inter-
           preted as the following.  When positive, it  is  the  dis-
           tance  between  the  UL corner and the mouse pointer, when
           negative, the absolute value is the distance  between  the
           LR corner of the widget window and the mouse pointer; when
           both are 0, the widget window will be centered around  the
           mouse pointer.

    SEE ALSO
           EZ_CreateWidget(3), EZ_DestroyWidget(3), EZ_DrawWidget(3)